## net.i2p.router.admin
Class AdminRunner

    java.lang.Object
      net.i2p.router.admin.AdminRunner

All Implemented Interfaces:
  java.lang.Runnable

     class AdminRunner

extends java.lang.Object
implements java.lang.Runnable

Constructor Summary
`AdminRunner(RouterContext context, java.net.Socket socket)`

Method Summary
`void` `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdminRunner

    public AdminRunner(RouterContext context,
                       java.net.Socket socket)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`